Changeset 7f7e7f6


Ignore:
Timestamp:
05/01/2017 12:36:04 AM (5 years ago)
Author:
Ken Moffat <ken@…>
Branches:
10.0, 10.1, 11.0, 11.1, 8.1, 8.2, 8.3, 8.4, 9.0, 9.1, basic, bdubbs/svn, elogind, lazarus, perl-modules, qt5new, trunk, upgradedb, xry111/intltool, xry111/test-20220226
Children:
ba8b3f4
Parents:
1de42bee
Message:

fftw3: Suppress the static lib(s) and offer an explanation for why the threads lib might be needed - I had been building this for years without needing to enable it, until I tried to build the G'MIC plugin. Perhaps whatever caused this to be added to the book also needs that library ?

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@18675 af4574ff-66df-0310-9fd7-8a98e5e911e0

File:
1 edited

Legend:

Unmodified
Added
Removed
  • general/genlib/fftw.xml

    r1de42bee r7f7e7f6  
    9898  </sect2>
    9999
     100  <sect2 role="commands">
     101    <title>Command Explanations</title>
     102
     103      <para>
     104        <command>--enable-shared --disable-static</command>: Use shared libs
     105        instead of static libs.
     106      </para>
     107
     108      <para>
     109        <command>--enable-threads</command>: This enables <filename
     110        class="libraryfile"> libfftw3_threads.so</filename> to be compiled.
     111        It is used by e.g. the <application>gimp</application> plugin from
     112        <ulink url="http://gmic.eu/">G'MIC</ulink>.
     113      </para>
     114
     115  </sect2>
     116
    100117  <sect2 role="content">
    101118    <title>Contents</title>
Note: See TracChangeset for help on using the changeset viewer.